## mia 2.0.13

=== CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

PROJECT("mia")

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5 FATAL_ERROR)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
  cmake_policy(SET CMP0012 NEW)
endif(COMMAND cmake_policy)

include(FindPkgConfig)
include(CheckCXXSourceCompiles)

# Making releases:
#   MICRO_VERSION += 1;
#   INTERFACE_AGE += 1;
#   BINARY_AGE += 1;
# if any functions have been added, set INTERFACE_AGE to 0.
# if backwards compatibility has been broken,
# set BINARY_AGE and INTERFACE_AGE to 0.


SET(VENDOR "Gert Wollny")
SET(PACKAGE_NAME "mia")
SET(MAJOR_VERSION 2)
SET(MINOR_VERSION 0)
SET(MICRO_VERSION 13)
SET(INTERFACE_AGE 5)
SET(BINARY_AGE    5)

SET(PACKAGE_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}")
SET(VERSION "${MAJOR_VERSION}.${MINOR_VERSION}")
SET(MIA_NAME "${PACKAGE_NAME}-${VERSION}")
SET(prefix ${CMAKE_INSTALL_PREFIX})
SET(PLUGIN_OUTPUT "${CMAKE_BINARY_DIR}/plugins")

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

MATH(EXPR MIA_CURRENT "${MICRO_VERSION} - ${BINARY_AGE}")
SET(MIA_REVISION ${INTERFACE_AGE})
MATH(EXPR MIA_AGE "${BINARY_AGE} - ${INTERFACE_AGE}")

SET(LIBRARY_SOVERSION_INFO "${MIA_CURRENT}")
SET(LIBRARY_VERSION_INFO "${MIA_CURRENT}.${MIA_AGE}.${MIA_REVISION}")

OPTION(STRICT_DEPENDECIES "require that all requested optinal dependencies are availabe" FALSE)
OPTION(ALWAYS_CREATE_DOC "Create all documentation during the normal build process (normally you need to run 'make doc')" TRUE)
OPTION(BUILD_EXAMPLES "Build example plug-ins and programs" FALSE)

INCLUDE(GNUInstallDirs)

INCLUDE (CheckIncludeFiles)
INCLUDE (TestBigEndian)
INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/macros.cmake)
INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/pluginmacro.cmake)
INCLUDE (CheckTypeSize)

include(CheckCXXCompilerFlag)

MESSAGE("CMAKE_CXX_COMPILER_ID: ${CMAKE_CXX_COMPILER_ID}")
IF(UNIX)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
  IF(HAS_GNU_CXX11_FLAG)
    SET(CXX_11_FLAG "-std=c++11")
  ELSE(HAS_GNU_CXX11_FLAG)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" HAS_GNU_CXX0X_FLAG)
    IF(HAS_GNU_CXX0X_FLAG)
      SET(CXX_11_FLAG "-std=c++0x")
    ELSE(HAS_GNU_CXX0X_FLAG)
      MESSAGE(WARNING "Don't know how to enable C++11, if you are lucky, they are enabled by default")
    ENDIF(HAS_GNU_CXX0X_FLAG)
  ENDIF(HAS_GNU_CXX11_FLAG)
  
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
ENDIF(UNIX)

INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xAuto.cmake)
INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xLambda.cmake)

IF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
  MESSAGE(FATAL_ERROR 
    "This source code requires the C++0x auto type and lambda features. "
    "If your compiler is supposed to support this feature, "
    "please enable the appropriate flags and delete the CMakeCache.txt file before "
    "re-running cmake.\n"
    "For g++ >= 4.6 this is '-std=c++0x' ")
ENDIF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)

INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkAltivecEnabled.cmake)
INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkSSEEnabled.cmake)

ASSERT_SIZE(char 1)
ASSERT_SIZE(short 2)
ASSERT_SIZE(int 4)
ASSERT_SIZE(float 4)
ASSERT_SIZE(double 8)

CHECK_TYPE_SIZE(long LONG_TYPE_SIZE)


IF (${LONG_TYPE_SIZE} EQUAL 8)
  SET(LONG_64BIT TRUE)
ELSE(${LONG_TYPE_SIZE} EQUAL 8)
  SET(LONG_64BIT FALSE)
ENDIF(${LONG_TYPE_SIZE} EQUAL 8)

TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
CHECK_INCLUDE_FILES (unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES (sys/ioctl.h HAVE_SYS_IOCTL_H)

# find additional packages
#
# With MSVC using pre-installed dynamic libraries is usually a pain because of
# the incompatibilities in the compiler flags
#
IF (MSVC)
  SET(SEARCH_LIBS_DEFAULT FALSE)
ELSE(MSVC)
  SET(SEARCH_LIBS_DEFAULT TRUE)
ENDIF (MSVC)


# Taken from ITK:
# On Visual Studio 8 MS deprecated C. This removes all 1.276E1265 security
# warnings
IF(MSVC)
  ADD_DEFINITIONS(
    -D_CRT_FAR_MAPPINGS_NO_DEPRECATE
    -D_CRT_IS_WCTYPE_NO_DEPRECATE
    -D_CRT_MANAGED_FP_NO_DEPRECATE
    -D_CRT_NONSTDC_NO_DEPRECATE
    -D_CRT_SECURE_NO_DEPRECATE
    -D_CRT_SECURE_NO_DEPRECATE_GLOBALS
    -D_CRT_SETERRORMODE_BEEP_SLEEP_NO_DEPRECATE
    -D_CRT_TIME_FUNCTIONS_NO_DEPRECATE
    -D_CRT_VCCLRIT_NO_DEPRECATE
    -D_SCL_SECURE_NO_DEPRECATE
    -D_SECURE_SCL=0
    )
ENDIF(MSVC)

SET(SOURCE_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
SET(BUILD_ROOT "${CMAKE_CURRENT_BINARY_DIR}")
SET(LIB_ROOT_INSTALL_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/${MIA_NAME}")
SET(CONFIG_INSTALL_PATH "${LIB_ROOT_INSTALL_PATH}/config")
SET(LIB_INCLUDE_INSTALL_PATH "${LIB_ROOT_INSTALL_PATH}/include")
SET(PLUGIN_INSTALL_PATH "${LIB_ROOT_INSTALL_PATH}/plugins")
SET(PLUGIN_SEARCH_PATH "${PLUGIN_INSTALL_PATH}")
SET(DOC_INSTALL_PATH "share/doc/${MIA_NAME}")
SET(FULL_DOC_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}/${DOC_INSTALL_PATH}")
SET(BINARY_INSTALL_PATH "${CMAKE_INSTALL_BINDIR}")
SET(LIBRARY_INSTALL_PATH "${CMAKE_INSTALL_LIBDIR}")
SET(INCLUDE_INSTALL_PATH "${CMAKE_INSTALL_INCLUDEDIR}/${MIA_NAME}")


######################################################################################
#
# Handle BOOST
#
#
MACRO(GET_BOOST_LINKERFLAG VAR LIBNAMES)
  FOREACH(L  ${LIBNAMES})
    STRING(REGEX MATCH "boost_[-_a-z0-9]*" temp ${L})
    STRING(LENGTH "${temp}" TEMP_LENGTH)
    IF(${TEMP_LENGTH})
      SET(flags "${flags} -l${temp}")
    ENDIF(${TEMP_LENGTH})
  ENDFOREACH(L  ${LIBNAMES})
  
  SET(${VAR} "${flags}")
ENDMACRO(GET_BOOST_LINKERFLAG)

SET(BOOST_COMPONENTS   filesystem  regex unit_test_framework serialization system)
IF (WIN32)
  SET(BOOST_COMPONENTS  ${BOOST_COMPONENTS} date_time)
ENDIF(WIN32)

FIND_PACKAGE( Boost 1.46.1 COMPONENTS
  ${BOOST_COMPONENTS}
  REQUIRED)

INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})
LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})

ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)
ADD_DEFINITIONS(-DBOOST_FILESYSTEM_VERSION=3)

SET(BOOST_DEPS  ${Boost_REGEX_LIBRARY}  ${Boost_FILESYSTEM_LIBRARY} ${Boost_SYSTEM_LIBRARY})
SET(BOOST_UNITTEST  ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})

IF (WIN32 AND NOT UNIX)
   FOREACH(l 
       ${Boost_REGEX_LIBRARIES}
       ${Boost_FILESYSTEM_LIBRARY}
       ${Boost_SYSTEM}
       ${Boost_DATE_TIME}
       )
      STRING(REGEX MATCH "lib$" head ${l})
      STRING(COMPARE EQUAL "xlib" "x${head}" islib)
      IF (${islib})
	  STRING(REGEX REPLACE "lib$" "dll" lDLL ${l})
	  INSTALL(FILES ${lDLL} DESTINATION "bin")
      ENDIF(${islib})
   ENDFOREACH(l)
ENDIF (WIN32 AND NOT UNIX)

IF (MSYS OR MINGW)
  SET(BASELIBS ${BOOST_DEPS})
ENDIF (MSYS OR MINGW)

#
# end BOOST 
#
################################################################################

################################################################################
#
# Intel Threading Building Blocks 
# 
FIND_PACKAGE(TBB REQUIRED)
IF(TBB_FOUND) 
  include_directories(${TBB_INCLUDE_DIRS})
  link_directories(${TBB_LIBRARY_DIRS})
ELSE(TBB_FOUND) 
  MESSAGE(FATAL " TBB not found")
ENDIF(TBB_FOUND)
#
# End Intel Threading Building Blocks 
#
################################################################################

################################################################################
#
# Intel Threading Building Blocks 
# 

SET(CMAKE_THREAD_PREFER_PTHREAD ON) 
FIND_PACKAGE(Threads)

IF(CMAKE_USE_PTHREADS_INIT)
  set(PTHREADLIB -lpthread)
ENDIF(CMAKE_USE_PTHREADS_INIT)

################################################################################
# 
# Handle the GNU Scientific Library, this might be a showstopper 
# on MS windows when using Visual C++ 
#
PKG_CHECK_MODULES(GSL REQUIRED gsl)
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIRS})
LINK_DIRECTORIES(${GSL_LIBRARY_DIRS})


################################################################################
# 
# search for some blas
# 

FIND_PACKAGE(BLAS)
IF (NOT BLAS_LIBRARIES) 
  MESSAGE(FATAL_ERROR "A library that implements the BLAS interface is required") 
ENDIF(NOT BLAS_LIBRARIES) 

IF(UNIX)
  GET_BOOST_LINKERFLAG(BOOST_LIBFLAG "${BOOST_DEPS}")
  SET(MIA_DEPEND_LIBRARIES "${BOOST_LIBFLAG} ${BLAS_LIBRARIES} ${TBB_LIBRARIES} ${PTHREADLIB} -ldl")
ENDIF(UNIX)


ADD_DEFINITIONS(-DHAVE_BLAS)
#
# End BLAS 
# 
##################################################################################

##################################################################################
#
# Find gzip for man page compression 
#
find_program(GZIP gzip)
IF(NOT GZIP) 
  MESSAGE(gzip not found, man pages will not be compressed)
ENDIF(NOT GZIP) 

##################################################################################
#
# take care of modules loading infrastructure
#
IF(NOT WIN32)

  FIND_LIBRARY(DL dl
    PATH
    /lib
    /usr/lib
    /opt/local/lib
    /sw/lib
  )
  IF(DL_NOTFOUND)
    MESSAGE(FATAL_ERROR "non-windows systems without libdl.so are not yet supported")
  ENDIF(DL_NOTFOUND)
  SET(BASELIBS  ${BOOST_DEPS} ${PTHREADLIB} ${DL})
ENDIF(NOT WIN32)
SET(PLUGSUFFIX ".mia")

OPTION(WARN_MISSING_OR_OLD_PLUGINTESTS "Warn if plugins don't provided tests or use the old buildsystem to do so" OFF)
#
#
#
##################################################################################

##################################################################################
#
# FFTW related tests 
#
pkg_check_modules(FFTWF REQUIRED fftw3f)
IF(FFTWF_FOUND)
    INCLUDE_DIRECTORIES(${FFTWF_INCLUDE_DIRS})
    LINK_DIRECTORIES(${FFTWF_LIBRARY_DIRS})
    SET(PKG_CONFIG_DEPS "${PKG_CONFIG_DEPS} fftw3f")
ENDIF(FFTWF_FOUND)

MARK_AS_ADVANCED(WITH_FFTWD)
OPTION(WITH_FFTWD "Use double precision FFTW if found" ON)

IF(WITH_FFTWD)
  pkg_check_modules(FFTWD fftw3 REQUIRED)
  IF(FFTWD_FOUND)
    INCLUDE_DIRECTORIES(${FFTWD_INCLUDE_DIRS})
    LINK_DIRECTORIES(${FFTWD_LIBRARY_DIRS})
    SET(PKG_CONFIG_DEPS "${PKG_CONFIG_DEPS} fftw3")
  ENDIF(FFTWD_FOUND)
ENDIF(WITH_FFTWD)
#
#
####################################################################################

####################################################################################
#
# add xml library for loading/storing segmentations and document creation  
#
pkg_check_modules(XMLPP libxml++-2.6 REQUIRED)
IF (XMLPP_FOUND)
  INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
  LINK_DIRECTORIES(${XMLPP_LIBRARY_DIRS})
  SET(PKG_CONFIG_DEPS "${PKG_CONFIG_DEPS} libxml++-2.6")
  SET(HAVE_LIBXMLPP 1)
ENDIF (XMLPP_FOUND)

#
# end XML 
# 
###################################################################################

###################################################################################
#
# Look for IT++ for FastICA
#
OPTION(WITH_ITPP "Use IT++ for some additional features" ${SEARCH_LIBS_DEFAULT})
IF(WITH_ITPP)
  
  IF (STRICT_DEPENDECIES)
    pkg_check_modules(ITPP itpp REQUIRED)
  ELSE (STRICT_DEPENDECIES)
    pkg_check_modules(ITPP itpp)
  ENDIF(STRICT_DEPENDECIES)
  
  IF(ITPP_FOUND)
    INCLUDE_DIRECTORIES(${ITPP_INCLUDE_DIRS})
    LINK_DIRECTORIES(${ITPP_LIBRARY_DIRS})
    SET(PKG_CONFIG_DEPS "${PKG_CONFIG_DEPS} itpp")
    SET(CMAKE_REQUIRED_LIBRARIES ${ITPP_LIBRARIES})
    #if ITPP was found check if it supports the return value in separate 
    INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkITPPBoolseparate.cmake)
    IF(NOT ITPP_FASTICA_SEPARATE_HAS_RETURNVALUE) 
      MESSAGE(WARNING "You are using  an unpatched version of IT++. "

=== addons/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}")

ADD_SUBDIRECTORY(dicom   )
ADD_SUBDIRECTORY(jpg )
ADD_SUBDIRECTORY(openexr )
ADD_SUBDIRECTORY(nlopt )
ADD_SUBDIRECTORY(png )
ADD_SUBDIRECTORY(tiff )
ADD_SUBDIRECTORY(vtk   )
ADD_SUBDIRECTORY(vistaio )

=== cmake/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

=== doc/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#


INCLUDE (${CMAKE_ROOT}/Modules/FindDoxygen.cmake)

ADD_CUSTOM_TARGET(docs echo "creating documentation")
add_dependencies(doc docs)  

IF(CREATE_USERDOC) 

  add_dependencies(docs manpages)    
  IF(ALWAYS_CREATE_DOC) 
    INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man/ DESTINATION share/man/man1/)
  ENDIF(ALWAYS_CREATE_DOC) 

  ##################################################################
  #  for html userref xsltproc and the style sheet is needed 
  #
  find_program(XSLTPROC xsltproc)
  IF(XSLTPROC)
    FIND_PATH(HTML_CHUNK_FILEPATH chunk.xsl
      PATHS 
      /usr/share/sgml/docbook/xsl-stylesheets/html/
      /usr/share/xml/docbook/stylesheet/docbook-xsl/html/
      DOC "style sheet for the creation of the user reference"
      )
  ELSE (XSLTPROC)
    IF(STRICT_DEPENDECIES)
      MESSAGE(ERROR ": xsltproc not found and STRICT_DEPENDECIES set")
    ENDIF(STRICT_DEPENDECIES)
  ENDIF(XSLTPROC)
  
  IF(HTML_CHUNK_FILEPATH) 
    #
    # handle the linking of some files to run the 
    # 
    ADD_CUSTOM_TARGET(userref_outdir mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/userref)
    ADD_CUSTOM_TARGET(userref_css 
      cp  ${CMAKE_CURRENT_SOURCE_DIR}/progref.css 
      ${CMAKE_CURRENT_BINARY_DIR}/userref/progref.css DEPENDS userref_outdir)

    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/progref.xml
      COMMAND ln ARGS -sf ${CMAKE_CURRENT_SOURCE_DIR}/progref.xml ${CMAKE_CURRENT_BINARY_DIR}/progref.xml) 

    ADD_CUSTOM_TARGET(progref_link DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/progref.xml)
      
    ADD_CUSTOM_COMMAND(OUTPUT  "userref.stamp"
      COMMAND  
      ${XSLTPROC} ARGS 
      --param chunk.section.depth 3 
      --param chunk.first.sections 1 
      --param use.id.as.filename 1 
      --stringparam html.stylesheet  progref.css 
      --output "userref/" 
      ${HTML_CHUNK_FILEPATH}/chunk.xsl progref.xml
      COMMAND touch ARGS userref.stamp
      DEPENDS process_xml userref_css userref_outdir progref_link ${CMAKE_CURRENT_BINARY_DIR}/program.xml
      ) 
    ADD_CUSTOM_TARGET(userref DEPENDS userref.stamp)
    add_dependencies(docs userref)  
    
    ####################################################
    #
    # installation of the user reference 
    IF(ALWAYS_CREATE_DOC) 
      INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/userref DESTINATION ${DOC_INSTALL_PATH}/)
      CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/mia2-doc.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/mia2-doc.desktop)
      INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/mia2-doc.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
    ENDIF(ALWAYS_CREATE_DOC)     
  ENDIF(HTML_CHUNK_FILEPATH) 
  
ENDIF(CREATE_USERDOC) 

IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET(LibraryDoc echo "creating user library documentation")
  ADD_DEPENDENCIES(docs LibraryDoc)
  
  IF(DOXYGEN_DOT_FOUND)
    SET(HAVE_DOT YES)
  ENDIF(DOXYGEN_DOT_FOUND)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/reference.dox.cmake 
    ${CMAKE_CURRENT_BINARY_DIR}/reference.dox)
  
  ADD_CUSTOM_COMMAND(SOURCE COMMAND ${DOXYGEN_EXECUTABLE}
    ARGS  "${CMAKE_CURRENT_BINARY_DIR}/reference.dox"
    TARGET LibraryDoc
    OUTPUTS libdoc)
  
  IF(ALWAYS_CREATE_DOC) 
    INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libdoc/html/ DESTINATION ${DOC_INSTALL_PATH}/libdoc/)
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libmia2-doc.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/libmia2-doc.desktop)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmia2-doc.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
  ENDIF(ALWAYS_CREATE_DOC)     
 
ENDIF (DOXYGEN_FOUND)

=== examples/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

ADD_SUBDIRECTORY(2d)

=== gsl++/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

SET(GSLPP_SOURCE 
  matrix.cc
  multimin.cc
  vector.cc
  wavelet.cc
  )

SET(GSLPP_HEADERS 
  matrix.hh
  multimin.hh
  vector.hh
  vector_template.hh
  wavelet.hh
  gsldefines.hh
  )

MIA_ADD_LIBRARY(miagsl "${GSLPP_SOURCE}" "${GSL_LIBRARIES}" "${BLAS_LIBRARIES}")

INSTALL_WITH_EXPORT(miagsl)

INSTALL(FILES ${GSLPP_HEADERS} DESTINATION "${INCLUDE_INSTALL_PATH}/gsl++")

MACRO(GSL_TEST name)
  ADD_EXECUTABLE(test-${name} test_${name}.cc)
  TARGET_LINK_LIBRARIES(test-${name} miagsl ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})
  ADD_TEST(${name} test-${name})
ENDMACRO(GSL_TEST name)

IF(Boost_UNIT_TEST_FRAMEWORK_FOUND)
  GSL_TEST(vector)
  GSL_TEST(matrix)
  GSL_TEST(multimin)
ENDIF(Boost_UNIT_TEST_FRAMEWORK_FOUND)

=== mia/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

SET(MIA_HEADERS core.hh 2d.hh 3d.hh mesh.hh)

IF (WIN32)
ADD_SUBDIRECTORY(core ${OUTPUT_ROOT})
ADD_SUBDIRECTORY(2d   ${OUTPUT_ROOT})
ADD_SUBDIRECTORY(3d   ${OUTPUT_ROOT})
ADD_SUBDIRECTORY(mesh ${OUTPUT_ROOT})
ELSE (WIN32)
ADD_SUBDIRECTORY(core)
ADD_SUBDIRECTORY(2d  )
ADD_SUBDIRECTORY(3d  )
ADD_SUBDIRECTORY(mesh)
ADD_SUBDIRECTORY(template)
ENDIF(WIN32)


INSTALL(FILES ${MIA_HEADERS}
		DESTINATION "${INCLUDE_INSTALL_PATH}/mia")

INSTALL(DIRECTORY test internal DESTINATION "${INCLUDE_INSTALL_PATH}/mia" PATTERN "*.hh" )

=== octave/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

FIND_PROGRAM(MKOCTFILE mkoctfile)
SET(OCTSRC miaoct.cc)
IF(MKOCTFILE_FOUND)

  

  ADD_CUSTOM_COMMAND(OUTPUT miaoct COMMAND ${MKOCTFILE} 
    
    ${OCTSRC})


ENDIF(MKOCTFILE_FOUND)

=== src/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#
#

ADD_CUSTOM_TARGET(manpages)

ADD_CUSTOM_TARGET(XMLDOC)

ADD_CUSTOM_TARGET(mandir COMMAND mkdir -p ${CMAKE_BINARY_DIR}/doc/man)

LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/../mia/core)
LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/../mia/2d)
LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/../mia/3d)

#basic helpers 
DEFEXE(filenumberpattern  miacore  )
DEFEXE(cmeans             miacore  )
DEFEXE(labelsort          miacore  )
DEFEXE(wavelettrans       miacore  )
DEFEXE(myowavelettest     miacore  )

#2D programs 
DEFEXE(2dimagefilter      mia2d )
DEFEXE(2dcost             mia2d )
DEFEXE(2ddistance         mia2d )
DEFEXE(multihist          mia2d )
DEFEXE(2dimagestats       mia2d )
DEFEXE(2dimagefilterstack mia2d )
DEFEXE(2dimagecreator     mia2d )
DEFEXE(2dimagecombiner    mia2d )
DEFEXE(raw2image          mia2d )
DEFEXE(2ddeform           mia2d )
DEFEXE(2dtransform        mia2d )
DEFEXE(2dforce            mia2d )
DEFEXE(2davgmasked        mia2d )
DEFEXE(2dimageregistration mia2d )
DEFEXE(2dimageselect      mia2d )
DEFEXE(2dimagecombine-dice mia2d )
DEFEXE(2dfuzzysegment     mia2d )
DEFEXE(2dsegment-ahmed    mia2d )
DEFEXE(2dsegment-fuzzyw   mia2d )
DEFEXE(2dmultiimagevar    mia2d )
#DEFEXE(2dmulti-force      mia2d )
DEFEXE(2dimagefullstats   mia2d )
DEFEXE(2dbinarycombine    mia2d )
DEFEXE(2dtransformation-to-strain mia2d)

DEFCHKEXE(2dlerp mia2d )


#Programs related to 2D myocardic perfusion 

DEFCHKEXE(2dsegshift          mia2dmyocardperf )
DEFEXE(2dsegshiftperslice     mia2dmyocardperf )
DEFEXE(2dsegseriesstats       mia2dmyocardperf )
DEFEXE(2dseries2dordermedian  mia2dmyocardperf )
DEFEXE(2dmyoserial-nonrigid   mia2dmyocardperf )
DEFEXE(2dmyoperiodic-nonrigid mia2dmyocardperf )
DEFEXE(2dseriescorr           mia2dmyocardperf )
DEFEXE(2dseriesgradvariation  mia2dmyocardperf )
DEFEXE(2dseriesgradMAD        mia2dmyocardperf )
DEFEXE(2dseriessmoothgradMAD  mia2dmyocardperf )
DEFEXE(2dsegmentcropbox       mia2dmyocardperf )
DEFEXE(2dseghausdorff         mia2dmyocardperf )
DEFEXE(2dserieshausdorff      mia2dmyocardperf )
DEFEXE(2dsegcompare           mia2dmyocardperf )
DEFEXE(2dgroundtruthreg       mia2dmyocardperf )
DEFEXE(2dseries2sets          mia2dmyocardperf )
DEFEXE(2dseries-segdistance   mia2dmyocardperf )
DEFEXE(2dseries-mincorr       mia2dmyocardperf )
DEFEXE(2dseries-sectionmask   mia2dmyocardperf )
DEFEXE(2dmyoseries-dice       mia2dmyocardperf )
DEFEXE(2dmyoseries-compdice   mia2dmyocardperf )
DEFEXE(2dmyocard-segment      mia2dmyocardperf )
DEFEXE(2dmyopgt-nonrigid      mia2dmyocardperf )
DEFEXE(2dmany2one-nonrigid    mia2dmyocardperf )
DEFEXE(2dmyoset-all2one-nonrigid    mia2dmyocardperf )
IF(ITPP_FOUND) 
  DEFEXE(2dmyomilles            mia2dmyocardperf )
  DEFEXE(2dmyocard-ica          mia2dmyocardperf )
  DEFEXE(2dmyocard-icaseries    mia2dmyocardperf )
  DEFEXE(2dmyoica-nonrigid      mia2dmyocardperf )
  DEFEXE(2dmyoica-nonrigid-parallel      mia2dmyocardperf )
  DEFEXE(2dmyoica-nonrigid2     mia2dmyocardperf )
  SET(PERF_AND_3D_LIBS mia3d mia2dmyocardperf) 
  DEFEXE(2dseriestovolume  "${PERF_AND_3D_LIBS}")
ENDIF(ITPP_FOUND)

DEFEXE(2dgrayimage-combine-to-rgb mia2d)
DEFEXE(2deval-transformquantity mia2d)
DEFEXE(2dtrackpixelmovement mia2d )

DEFCHKEXE(3dlerp mia3d )

DEFEXE(2dmultiimageto3d   mia3d )
DEFEXE(3dimagestats       mia3d )
DEFEXE(3dcost             mia3d )
DEFEXE(3ddistance         mia3d )
DEFEXE(3dimagefilter      mia3d )
DEFEXE(3dimagecombine     mia3d )
DEFEXE(3dimagecreator     mia3d )
DEFEXE(3dimagefilterstack mia3d )
DEFEXE(raw2volume         mia3d )
DEFEXE(3dcrispsegment     mia3d )
DEFEXE(3ddeform           mia3d )
DEFEXE(3dforce            mia3d )
DEFEXE(3dfuzzysegment     mia3d )
DEFEXE(3dgetslice         mia3d )
DEFEXE(3dgetsize          mia3d )
DEFEXE(2dto3dimage        mia3d )
DEFEXE(2dto3dimageb       mia3d )
DEFEXE(3drigidreg         mia3d )
DEFEXE(3dnonrigidreg      mia3d )
DEFEXE(3dnonrigidreg-alt  mia3d )
DEFEXE(2dstackfilter      mia3d )
DEFEXE(3dtransform        mia3d )
DEFEXE(3dmaskseeded       mia3d )
DEFEXE(3dfield2norm       mia3d )
DEFEXE(3dimageselect      mia3d )
DEFEXE(3dbrainextractT1   mia3d )
DEFEXE(3dbinarycombine   mia3d )
DEFEXE(3dimageaddattributes  mia3d )
DEFEXE(3dvectorfieldcreate  mia3d )
DEFEXE(3dserial-nonrigid  mia3d )
DEFEXE(3dmany2one-nonrigid  mia3d )
DEFEXE(3dprealign-nonrigid mia3d )
DEFEXE(3dseries-track-intensity mia3d )
DEFEXE(3dtransform2vf mia3d )
DEFEXE(3dtrackpixelmovement mia3d )
DEFEXE(3dvf2transform mia3d )
DEFEXE(3dvfcompare mia3d )
DEFEXE(3deval-transformquantity mia3d)
DEFEXE(3dcost-translatedgrad mia3d)
DEFEXE(3dsegment-ahmed    mia3d)
DEFEXE(3dcombine-mr-segmentations mia3d)

DEFEXE(3dlandmarks-transform mia3d)
DEFEXE(3dlandmarks-distances mia3d)

DEFEXE(plugin-help miamesh )
DEFEXE(meshdistance-to-stackmask miamesh )
DEFEXE(meshfilter miamesh )

ADD_EXECUTABLE(mia-test-plugins-as-installed test_plugins_as_installed.cc)  
TARGET_LINK_LIBRARIES(mia-test-plugins-as-installed miamesh)
TARGET_LINK_LIBRARIES(mia-test-plugins-as-installed ${BOOST_UNITTEST})
IF(WIN32)
  SET_TARGET_PROPERTIES(test-3d-${name} PROPERTIES LINKER_FLAGS "/NODEFAULTLIB:MSVCRT")
ENDIF(WIN32)


IF(ITPP_FOUND) 
  DEFEXE(3dmotioncompica-nonrigid mia3d )
ENDIF(ITPP_FOUND) 

ADD_SUBDIRECTORY(fluid2d  )
ADD_SUBDIRECTORY(fluid3d  )
ADD_SUBDIRECTORY(isosurface  )

ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_BINARY_DIR}/doc/program.xml 
  COMMAND ${PYTHON_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/doc/miaxml2sgml.py ${CMAKE_SOURCE_DIR}/doc ${CMAKE_BINARY_DIR}/doc
  DEPENDS XMLDOC
  )
    
ADD_CUSTOM_TARGET(process_xml DEPENDS ${CMAKE_BINARY_DIR}/doc/program.xml)

=== test/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

NEW_TEST(minimizer miacore)

NEW_TEST(ioplugins mia3d)

=== testdata/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#
#

=== addons/dicom/CMakeLists.txt ===
#
# This file is part of MIA - a toolbox for medical image analysis 
# Copyright (c) Leipzig, Madrid 1999-2013 Gert Wollny
#
# MIA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#

OPTION(WITH_DCMTK "enable support for DCMTK DICOM IO" ${SEARCH_LIBS_DEFAULT})


SET(dicom4mia_SOURCES dicom4mia.cc)

SET(image2dio_path ${PLUGIN_INSTALL_PATH}/2dimage/io)
SET(image3dio_path ${PLUGIN_INSTALL_PATH}/3dimage/io)

IF (WITH_DCMTK)
  FIND_PACKAGE(DCMTKnew)
  IF(DCMTK_FOUND)
    DEFINE_PROPERTY(GLOBAL PROPERTY HAVE_DCMTK_PROP BRIEF_DOCS "yeah" FULL_DOCS "yeah")
    SET(dicom4mia_deps mia3d ${DCMTK_LIBRARIES})
    MIA_ADD_LIBRARY(dicom4mia "${dicom4mia_SOURCES}" "${dicom4mia_deps}")
    INSTALL_BASE(dicom4mia)

    SET(DCMTK_LINK_LIBS_2D dicom4mia)
    SET(DCMTK_LINK_LIBS_3D dicom4mia)
    NEW_TEST(dicom4mia dicom4mia)

    PLUGIN_WITH_TEST_AND_PREFIX2("2dimage" "io" dcm2d "${DCMTK_LINK_LIBS_2D}")
    PLUGIN_WITH_TEST_AND_PREFIX2("3dimage" "io" dcm3d "${DCMTK_LINK_LIBS_3D}")
    INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})

  ELSEIF(STRICT_DEPENDECIES)
    MESSAGE(FATAL_ERROR "DCMTK not found and strict dependencies enabled")
  ENDIF(DCMTK_FOUND)
ENDIF(WITH_DCMTK)

=== debian/changelog ===
mia (2.0.13-1) unstable; urgency=medium

  * New Upstream release 
  * Move build dependency to virtual package libtiff-dev
  * Update standards version to 3.9.5 
  * Work around YAML issues when reading value '8:20' 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 17 Jan 2014 13:06:19 +0100

mia (2.0.12-1) unstable; urgency=low

  [ Gert Wollny ]
  * New upstream release
  * correct entries for maintainers and uploaders 
  * correct application of linker flag "-Wl,--as-needed"
  * remove CXXFLAGS in rules since this is now taken care of in 
    the build system 

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 27 Nov 2013 12:40:20 +0100

mia (2.0.11-1) unstable; urgency=low

  [ Gert Wollny ]
  * new upstream release
  * Add debian/upstream file

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 15 Oct 2013 12:53:49 +0200

mia (2.0.10-1) unstable; urgency=low

  [ Gert Wollny ]
  * new upstream release 

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 01 Jul 2013 15:35:25 +0200

mia (2.0.9-1) unstable; urgency=low

  * Upstream version bump 
  * Fix "FTBFS on i386: 3 tests failed out of 228" - Lower accuracy 
    in floating-point related tests to account for the lower number of 
    available FB registers on i386       (Closes: #705383)
  * Fix "FTBFS on architectures such as ia64 lacking SSE or Altivec
    support" - test for availability of SSE or Altivec in the build and
    disable according modules if not available (Closes: #705384)
  * Temporal work around "FTBFS on powerpc: test suite hangs" by forcing the 
    number of running threads to 1 on powerpc and with threading building 
    blocks version lower than 4.1u2 (see: #705385)
  * Fix package dependencies by also scanning all plug-in modules. 
  * Fix regression in 3d image scaler 
  * Change VTK vector field output target

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 26 Apr 2013 14:02:50 +0200

mia (2.0.8-1) unstable; urgency=low

  * Initial release (Closes: #694437)

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 28 Feb 2013 13:09:30 +0100

=== debian/control ===
Source: mia
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake (>= 2.8.8),
               libboost-all-dev (>= 1.46.1),
               libxml++2.6-dev (>= 2.34.1),
               libitpp-dev (>= 4.2),
               libtbb-dev (>= 3.0),
               libopenexr-dev (>= 1.6.1),
               libpng-dev,
               libdcmtk2-dev (>= 3.6.0),
               libtiff-dev,
               libnlopt-dev (>= 2.3),
               libgsl0-dev (>= 1.14),
               libblas-dev,
               doxygen,
               libfftw3-dev,
               xsltproc,
               docbook-xsl,
               python-lxml,
               libvtk5-dev,
               libgts-dev,
               libvistaio-dev (>=1.2.12)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/mia.git
Vcs-Git: git://anonscm.debian.org/debian-med/mia.git
Homepage: http://mia.sourceforge.net

Package: libmia-2.0-dev
Architecture: any
Section: libdevel
Depends: libmia-2.0-8 (= ${binary:Version}),
         libxml++2.6-dev (>= 2.34.1),
         libitpp-dev (>= 4.2),
         libtbb-dev,
         libgsl0-dev,
         libboost-all-dev (>= 1.46.1),
         libfftw3-dev,
         libblas-dev,
         ${misc:Depends}
Recommends: libmia-2.0-doc
Description: library for 2D and 3D gray scale image processing, development files
 libmia comprises a set of libraries and plug-ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 
 This package provides the development files for the library.

Package: libmia-2.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Enhances: libmia-2.0-dev
Description: library for 2D and 3D gray scale image processing, documentation
 libmia comprises a set of libraries and plug-ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 
 This package provides the Doxygen generated API reference. 

Package: libmia-2.0-8
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnlopt0 (>= 2.2.4),
         libopenexr6 (>= 1.6.1)
Pre-Depends: ${misc:Pre-Depends}
Description: library for 2D and 3D gray scale image processing
 libmia comprises a set of libraries and plug-ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 

Package: libmia-2.0-8-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmia-2.0-8 (= ${binary:Version}),
         ${misc:Depends}
Description: Debug information for the MIA library 
 libmia comprises a set of libraries and plug.ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 
 libmia is library for general purpouse 2D and 3D gray scale image processing. 
 This package provides the debug information of the library. 

Package: mia-tools
Architecture: any
Depends: libmia-2.0-8 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: mia-doc
Description: Command line tools for gray scale image processing
 Command lines tools to run general purpose image processing tasks on 2D 
 and 3D gray scale images, and basic operations on triangular meshes. 
 Supported image processing algorithms are image filtering, combining, image 
 registration, motion compensation for image series, and the estimation of 
 various statiistics over images. 

Package: mia-tools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: mia-tools
Description: Cross-referenced documentation of the MIA command line tools
 Cross referenced documentation of the command line tools and plug-ins that 
 are provided by the MIA gray scale image processing tool chain. 
 These lines tools to provide the means to run general purpose image 
 processing tasks on 2D and 3D gray scale images, and basic operations on 
 triangular meshes interactively from the command line. Supported image 
 processing algorithms are image filtering, combining, image registration, 
 motion compensation for image series, and the estimation of various 
 statistics over images. 

Package: mia-tools-dbg
Architecture: any
Section: debug
Priority: extra
Depends: mia-tools (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging information for the MIA command line tools
 Debug information for the MIA command lines tools. These tools provide the 
 means to run general purpose image processing tasks on 2D and 3D gray scale 
 images, and basic operations on triangular meshes from the command line. 
 Supported image processing algorithms are image filtering, combining, image 
 registration, motion compensation for image series, and the estimation of 
 various statiistics over images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=jquery.js

.PHONY: override_dh_strip override_dh_shlibdeps 

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DALWAYS_CREATE_DOC=ON  -DSTRICT_DEPENDECIES=ON

override_dh_builddeb:
	dh_builddeb -- -Z xz

# dh_strip detects executable files, so make *.mia files executable then strip then 
# remove the executable flag 
override_dh_strip:
	 `pwd`/debian/run_strip

override_dh_shlibdeps:
	dh_shlibdeps -- $(shell find  debian/libmia-2.0-8/ -name "*.mia")

=== debian/watch ===
version=3
http://sf.net/mia/mia-([\d.]+)\.tar\.xz
